In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
budget_guid
string
required
The unique identifier for the budget. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK
budget
object
Hide child attributes
budget.amount
number
A goal amount set by the user for a category's transaction total during a month.
Example:
153
budget.category_guid
string
Unique identifier for the budget category. Defined by MX.
Example:
"CAT-bd56d35a-a9a7-6e10-66c1-5b9cc1b6c81a"
budget.created_at
string
Date and time the budget was created, represented in ISO 8601 format with timestamp.
Example:
"2018-10-18T19:51:26.000Z"
budget.guid
string
Unique identifier for the budget. Defined by MX.
Example:
"BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d"
budget.is_exceeded
boolean
If the budget has been exceeded, this field will be true. Otherwise, this field will be false.
Example:
true
budget.is_off_track
boolean
If the budget is off track, this field will be true. Otherwise, this field will be false.
Example:
true
budget.metadata
string | null
Additional information a partner can store on the budget.
Example:
"some metadata"
budget.name
string | null
The name of the budget that is visible to the user (ie "Food", "Bills", "Entertainment", etc).
Example:
"Food & Dining"
budget.off_track_percentage
number | null
The percentage amount of off track spending. (Deprecated).
budget.parent_guid
string | null
Unique identifier for the parent budget. Defined by MX.
budget.percent_spent
number | null
The percentage of a budget that has been spent during the current calendar month Calculated as the transaction total divided by the amount and then multiplied by 100.A value of zero will be returned when amount is zero.
Example:
1276.34
budget.projected_spending
number
The projected amount of spending for the budget.
Example:
3562.4
budget.revision
integer
The revision number of this budget record.
Example:
561
budget.transaction_total
any
The cumulative amount of all transactions under the budget.
Example:
1952.8
budget.updated_at
any
Date and time the budget was updated, represented in ISO 8601 format with timestamp.